Cyclic Index
POST
/cyclic-index
curl -X POST https://api.astroway.info/v1/cyclic-index \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "startYear": 2020, "endYear": 2030 }'const res = await fetch('https://api.astroway.info/v1/cyclic-index', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "startYear": 2020, "endYear": 2030 }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/cyclic-index', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'startYear': 2020, 'endYear': 2030 },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('cyclic-index', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'startYear' => 2020, 'endYear' => 2030, ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Calculate the André Barbault Cyclic Index — sum of all outer planet separations — for a date range to indicate global crisis periods.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
startYear required
number
endYear required
number
pairs
Example
{ "startYear": 2020, "endYear": 2030}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
data
Array<object>
object
date
string
index
number
minimum
object
date
string
value
number
Example
{ "ok": true}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.